/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime;

import com.intellij.openapi.components.ApplicationComponent;
import com.intellij.openapi.fileTypes.FileType;
import com.intellij.openapi.fileTypes.FileTypeManager;
import net.sourceforge.intellime.util.Constants;
import net.sourceforge.intellime.util.FileTypeBase;
import org.jetbrains.annotations.NotNull;

public class J2MEApplicationComponent implements ApplicationComponent {

    public J2MEApplicationComponent() {

    }

    public void initComponent() {
        // registra o arquivo do diagrama
        FileType type = new FileTypeBase(Constants.DIAGRAM_FILE_NAME, Constants.DIAGRAM_FILE_DESCRIPTION,
                Constants.DIAGRAM_FILE_EXTENSION, Constants.DIAGRAM_ICON);
        FileTypeManager.getInstance().registerFileType(type, new String[]{Constants.DIAGRAM_FILE_EXTENSION});
    }

    public void disposeComponent() {

    }

    @NotNull
    public String getComponentName() {
        return J2MEApplicationComponent.class.getSimpleName();
    }
}
