/*
 * Copyright 2000-2006 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.action.base;

import com.intellij.openapi.actionSystem.AnAction;
import com.intellij.openapi.actionSystem.AnActionEvent;
import com.intellij.openapi.actionSystem.DataConstants;
import com.intellij.openapi.actionSystem.Presentation;
import com.intellij.openapi.module.Module;
import net.sourceforge.intellime.util.Constants;

import java.util.ArrayList;

public abstract class NewFileAction extends AnAction {

    protected ArrayList dirs;

    public void update(AnActionEvent event) {
        Presentation presentation = event.getPresentation();

        presentation.setEnabled(false);
        presentation.setVisible(true);

        Module m = (Module) event.getDataContext().getData(DataConstants.MODULE);
        if (m != null) {
            if (Constants.J2ME_MODULE.equals(m.getModuleType().getName())) {
                presentation.setEnabled(true);
                presentation.setVisible(true);
            }
        }
    }

    protected boolean check(AnActionEvent event) {
        return dirs.size() > 0;
    }

}
