/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.diagram;

import com.intellij.openapi.graph.builder.DeleteProvider;
import net.sourceforge.intellime.ui.element.MIDletElement;

public class DiagramDeleteProvider extends DeleteProvider<Node, Edge> {

    private DiagramGraphDataModel model;

    public DiagramDeleteProvider(DiagramGraphDataModel model) {
        this.model = model;
    }

    public boolean canDeleteNode(Node node) {
        return !(node.getScreenElement() instanceof MIDletElement);
    }

    public boolean canDeleteEdge(Edge edge) {
        return true;
    }

    public boolean deleteNode(Node node) {
        return model.removeNode(node);
    }

    public boolean deleteEdge(Edge edge) {
        return model.removeEdge(edge, true);
    }
}
