/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.diagram.renderer;

import net.sourceforge.intellime.ui.element.J2MEElement;
import net.sourceforge.intellime.ui.element.NestedListElement;

import javax.swing.*;
import java.awt.*;

public class ColoredListCellRenderer extends DefaultListCellRenderer {

    public ColoredListCellRenderer() {
        setOpaque(true);
    }

    public Component getListCellRendererComponent(JList list, Object value,
                                                  int index, boolean isSelected, boolean cellHasFocus) {

        super.getListCellRendererComponent(list, value, index,
                isSelected, cellHasFocus);

        if (value instanceof J2MEElement) {
            setIcon(((J2MEElement) value).getIcon());
            setBorder(BorderFactory.createEmptyBorder(2, 2, 2, 2));

            if (value instanceof NestedListElement) {
                setBackground(new Color(225, 225, 225));
            }
        }

        return this;
    }
}

