/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.dialog;

import net.sourceforge.intellime.J2MEBundle;
import net.sourceforge.intellime.ui.diagram.Node;
import net.sourceforge.intellime.ui.element.screen.ScreenElement;
import org.jetbrains.annotations.Nullable;

import javax.swing.*;

public class NewNodeDialog extends DialogBase<Node> {

    private ScreenElement screen;
    private BasicPropertiesPanel basic;

    public NewNodeDialog(ScreenElement screen) {
        setTitle(J2MEBundle.message("ui.NewNodeDialog.title"));
        this.screen = screen;
        setModal(true);
        init();
    }

    @Nullable
    protected JComponent createCenterPanel() {
        if (basic == null) {
            basic = new BasicPropertiesPanel();
        }

        return basic;
    }

    protected void doOKAction() {
        if (basic.validValues()) {
            setupObject();
            // close dialog
            super.doOKAction();
        }
    }

    protected void setupObject() {
        screen.setLabel(basic.labelValue());
        screen.setProperty(basic.propertyValue());
        object = new Node(screen);
    }

    public Node getObject() {
        return object;
    }
}
