/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.dnd;

import java.awt.datatransfer.Transferable;
import java.awt.dnd.DragGestureEvent;
import java.awt.dnd.DragGestureListener;
import java.awt.dnd.DragSource;
import java.awt.dnd.InvalidDnDOperationException;

public class DragGestureListenerImpl implements DragGestureListener {

    private DragToggleButton button;

    public DragGestureListenerImpl(DragToggleButton button) {
        this.button = button;
    }

    public void dragGestureRecognized(DragGestureEvent e) {
        Transferable transferable = new J2MEElementTransferable(button.getElement());

        try {
            e.startDrag(DragSource.DefaultCopyNoDrop,
                    transferable, button.getDsListener());

        }
        catch (InvalidDnDOperationException idoe) {
            System.err.println(idoe);
        }
    }
}
