/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.dnd;

import java.awt.dnd.*;

public class DragSourceListenerImpl implements DragSourceListener {

    public DragSourceListenerImpl() {
    }

    public void dragDropEnd(DragSourceDropEvent e) {

    }

    public void dragEnter(DragSourceDragEvent e) {
        DragSourceContext context = e.getDragSourceContext();
        int myaction = e.getDropAction();
        if ((myaction & DnDConstants.ACTION_COPY_OR_MOVE) != 0) {
            context.setCursor(DragSource.DefaultCopyDrop);
        } else {
            context.setCursor(DragSource.DefaultCopyNoDrop);
        }
    }

    public void dragOver(DragSourceDragEvent e) {

    }

    public void dragExit(DragSourceEvent e) {

    }

    public void dropActionChanged(DragSourceDragEvent e) {
        DragSourceContext context = e.getDragSourceContext();
        context.setCursor(DragSource.DefaultCopyNoDrop);
    }
}