/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.editor;

import net.sourceforge.intellime.ui.diagram.DiagramGraphDataModel;
import net.sourceforge.intellime.ui.diagram.Edge;
import net.sourceforge.intellime.ui.diagram.Node;

public class MIDletEdgeEditor extends EdgeEditorBase {

    public MIDletEdgeEditor(DiagramGraphDataModel model, Edge edge) {
        super(model, edge);
    }

    public void doEdit(Edge edge) {
        super.doEdit(edge);
        removeOldEdge(edge);
    }

    public EditorDialogBase<Edge> getEditorDialog() {
        return null;
    }

    private void removeOldEdge(Edge edge) {
        Node midlet = edge.getSource();
        model.removeEdges(midlet, edge);
    }
}
