/*
 * Copyright 2000-2006 JetBrains s.r.o.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui.wizard.edit;

import com.intellij.ui.DocumentAdapter;

import javax.swing.*;
import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import javax.swing.event.DocumentEvent;

public class TextEditField extends BaseField {

    private final JTextField text = new JTextField();

    public JComponent getComponent() {
        return text;
    }

    public Object getValue() {
        return text.getText();
    }

    public void setValue(Object value) {
        text.setText(value == null ? null : value.toString());
    }

    public void displayAsDefault(boolean on) {
    }

    public boolean isShort() {
        return false;
    }

    public void addChangeListener(final ChangeListener l) {
        text.getDocument().addDocumentListener(new DocumentAdapter() {
            protected void textChanged(DocumentEvent e) {
                l.stateChanged(new ChangeEvent(this));
            }
        });
    }
}
