/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.util;

import com.intellij.openapi.util.IconLoader;

import javax.swing.*;

public class Constants {

    public static final String J2ME_MODULE = "J2ME Module";

    public static final String PLUGIN_NAME = "IntelliME J2ME Plugin";

    public static final String TOOL_WINDOW_ID = "J2ME Toolbar";

    public static final String DIAGRAM_FILE_EXTENSION = "j2me";

    public static final String JAVA_FILE_EXTENSION = "java";

    public static final String DIAGRAM_FILE_NAME = "J2ME Flow Diagram";

    public static final String DIAGRAM_FILE_DESCRIPTION = "J2ME Flow Diagram";

    public static final String MIDLET_CLASS = "javax.microedition.midlet.MIDlet";

    public static final String ELEMENT_NAME = "J2ME Element";

    public static final String UNKNOWN_LABEL = "unknown";

    public static final String UNKNOWN_PROPERTY = "unknown";

    public static final Icon DIAGRAM_ICON =
            IconLoader.getIcon("/actions/editSource.png");

    public static final Icon MIDLET_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/midlet_small.png");

    public static final Icon TOOLBAR_ICON =
            IconLoader.getIcon("/general/extTools.png");

    public static final Icon ALERT_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/alert.png");

    public static final Icon FORM_ICON =
            IconLoader.getIcon("/fileTypes/uiForm.png");

    public static final Icon WIZARD_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/wizard.gif");

    public static final Icon BACK_COMMAND_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/back.gif");

    public static final Icon CANCEL_COMMAND_ICON =
            IconLoader.getIcon("/actions/breakpoint.png");

    public static final Icon HELP_COMMAND_ICON =
            IconLoader.getIcon("/actions/help.png");

    public static final Icon EXIT_COMMAND_ICON =
            IconLoader.getIcon("/actions/exit.png");

    public static final Icon ITEM_COMMAND_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/item.png");

    public static final Icon SCREEN_COMMAND_ICON =
            IconLoader.getIcon("/runConfigurations/applet.png");

    public static final Icon STOP_COMMAND_ICON =
            IconLoader.getIcon("/actions/suspend.png");

    public static final Icon OK_COMMAND_ICON =
            IconLoader.getIcon("/actions/er-state.png");

    public static final Icon STOP_COMMAND_OK_ICON =
            IconLoader.getIcon("/actions/suspend.png");

    public static final Icon LIST_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/list.gif");

    public static final Icon IMAGE_ICON =
            IconLoader.getIcon("/general/toolWindowChanges.png");

    public static final Icon IMAGE_ITEM_ICON =
            IconLoader.getIcon("/general/toolWindowChanges.png");

    public static final Icon CHOICE_GROUP_ICON =
            IconLoader.getIcon("/actions/properties.png");

    public static final Icon FONT_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/font.gif");

    public static final Icon GAUGE_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/gauge.gif");

    public static final Icon TEXTBOX_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/textbox.gif");

    public static final Icon TEXT_FIELD_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/textfield.gif");

    public static final Icon DATE_FIELD_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/datefield.gif");

    public static final Icon STRING_ITEM_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/stringitem.gif");

    public static final Icon SPACER_ICON =
            IconLoader.getIcon("/icons/inspector/expandall.png");

    public static final Icon TICKER_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/ticker.png");

    public static final Icon NESTED_ITEM_ICON =
            IconLoader.getIcon("/net/sourceforge/intellime/icons/nested.gif");

    public static final String ALERT_KEY = "alert";
    public static final String COMMANDS_KEY = "commands";
    public static final String FORM_KEY = "form";
    public static final String ITEMS_KEY = "items";
    public static final String LIST_KEY = "list";
    public static final String TEXT_BOX_KEY = "textBox";
    public static final String CHOICE_GROUP_KEY = "choiceGroup";
    public static final String DATE_FIELD_KEY = "dateField";
    public static final String GAUGE_KEY = "gauge";
    public static final String IMAGE_ITEM_KEY = "imageItem";
    public static final String SPACER_KEY = "spacer";
    public static final String STRING_ITEM_KEY = "stringItem";
    public static final String TEXT_FIELD_KEY = "textField";
    public static final String FONT_ELEMENT_KEY = "fontElement";
    public static final String IMAGE_ELEMENT_KEY = "imageElement";
    public static final String TICKER_ELEMENT_KEY = "tickerElement";
    public static final String COMMAND_KEY = "command";
    public static final String PACKAGE_NAME_KEY = "PACKAGE_NAME";
    public static final String NAME_KEY = "Name";
    public static final String ATTRIBUTES_KEY = "attributes";
    public static final String METHODS_KEY = "methods";
    public static final String DISPLAYABLE_KEY = "displayable";
    public static final String METHOD_KEY = "method";
    public static final String INITIALIZE_METHOD_KEY = "initializeMethod";
    public static final String ACTIONS_KEY = "actions";
    public static final String NESTED_LIST_ELEMENTS_KEY = "nestedListElements";

    public static final String TEMPLATE_DIR = "/net/sourceforge/intellime/templates/";

    public static final String ALERT_TEMPLATE = TEMPLATE_DIR + "alert.template";
    public static final String FORM_TEMPLATE = TEMPLATE_DIR + "form.template";
    public static final String LIST_TEMPLATE = TEMPLATE_DIR + "list.template";
    public static final String TEXT_BOX_TEMPLATE = TEMPLATE_DIR + "textBox.template";
    public static final String CHOICE_GROUP_TEMPLATE = TEMPLATE_DIR + "choiceGroup.template";
    public static final String DATE_FIELD_TEMPLATE = TEMPLATE_DIR + "dateField.template";
    public static final String GAUGE_TEMPLATE = TEMPLATE_DIR + "gauge.template";
    public static final String IMAGE_ITEM_TEMPLATE = TEMPLATE_DIR + "imageItem.template";
    public static final String SPACER_TEMPLATE = TEMPLATE_DIR + "spacer.template";
    public static final String STRING_ITEM_TEMPLATE = TEMPLATE_DIR + "stringItem.template";
    public static final String TEXT_FIELD_TEMPLATE = TEMPLATE_DIR + "textField.template";
    public static final String FONT_ELEMENT_TEMPLATE = TEMPLATE_DIR + "fontElement.template";
    public static final String IMAGE_ELEMENT_TEMPLATE = TEMPLATE_DIR + "imageElement.template";
    public static final String TICKER_ELEMENT_TEMPLATE = TEMPLATE_DIR + "tickerElement.template";
    public static final String COMMAND_TEMPLATE = TEMPLATE_DIR + "command.template";
    public static final String DIAGRAM_TEMPLATE = TEMPLATE_DIR + "diagram.template";
    public static final String COMMAND_ACTION_TEMPLATE = TEMPLATE_DIR + "commandAction.template";
    public static final String NESTED_LIST_ACTION_TEMPLATE = TEMPLATE_DIR + "nestedListAction.template";
    public static final String CLASS_TEMPLATE = TEMPLATE_DIR + "class.template";
}
