/*
 * Copyright 2006 IntelliME.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package net.sourceforge.intellime.ui;

import net.sourceforge.intellime.ui.dnd.DragToggleButton;
import net.sourceforge.intellime.ui.element.J2MEElement;

import javax.swing.*;
import javax.swing.border.EmptyBorder;
import javax.swing.border.TitledBorder;
import java.awt.*;

public class UiUtils {

    public static JButton createButton(String text, Icon icon) {
        JButton button = new JButton(text, icon);
        button.setHorizontalAlignment(JButton.LEFT);

        return button;
    }

    public static DragToggleButton createDragToggle(J2MEElement element) {
        DragToggleButton button = new DragToggleButton(element);
        button.setHorizontalAlignment(JButton.LEFT);
        //button.setMargin(new Insets(5, 5, 0, 0));
        button.setBorder(new EmptyBorder(5, 5, 0, 0));
        button.setContentAreaFilled(false);
        button.setFocusPainted(false);

        return button;
    }

    public static void setWidth(JComponent component, int width) {
        component.setPreferredSize(new Dimension(width,
                (int) component.getPreferredSize().getHeight()));
    }

    public static void enableBox(JComponent c, boolean enable) {
        Color dis = UIManager.getColor("Label.disabledForeground");
        if (c.getBorder() instanceof TitledBorder) {
            ((TitledBorder) c.getBorder()).setTitleColor(enable ? Color.BLACK : dis);
        }
        for (int i = 0; i < c.getComponentCount(); i++) {
            Component child = c.getComponent(i);
            child.setEnabled(enable);
        }
    }

}
